﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Pie 클래스 : Marks 속성을 사용해 개별 마커 색상/폰트 크기 설정하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Pie pie = new Pie(this.tChart.Chart);

            pie.FillSampleValues();

            pie.Marks.Items[3].Font.Size = 14;
            pie.Marks.Items[3].Color     = Color.Blue;

            pie.Marks.Items[5].Font.Size  = 12;
            pie.Marks.Items[5].Font.Color = Color.Red;
        }

        #endregion
    }
}